|  | abslexer.h File Reference updated Sun May 12 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
abslexer.h File Reference

RE/flex abstract lexer base class for reflex-generated scanners. More...

`#include <reflex/input.h>`
`#include <reflex/absmatcher.h>`
`#include <sstream>`
`#include <stack>`
Include dependency graph for abslexer.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | reflex::AbstractLexer< M >
| The abstract lexer class template that is the abstract root class of all reflex-generated scanners. More...
class | reflex::AbstractLexer< M >::Matcher
| Extend matcher class M with a member pointing to the instantiating lexer class. More...

## Namespaces
| reflex

## Detailed Description

RE/flex abstract lexer base class for reflex-generated scanners.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt